@charset "utf-8";

/* ==================== */
/* base */
/* ==================== */

:root {
    /* color */
    --base-white: #FEFFFD;
    --base-gray: #D4F1F5;
    --base-black: #282540;
    --base-blue: #3E84C0;
    --base-deepgreen: #52BDDF;

    --title-green: #52BDDF;
    --text-white: #FEFFFD;
    --text-green: #3E9DBB;

    --card-shadow: 0 4px 8px rgba(73, 136, 135, 0.2);

    --radius: 20px;
}

::selection {
    color: var(--base-gray);
    background-color: var(--base-deepgreen);
}

html {
    /* rem基準 */
    font-size: 10px;
    height: 100%;
    margin: 0;
}

body {
    font-size: 1.6rem;
    font-family: "kiwi maru", "Noto sans JP", "sans-serif";

    overflow-x: hidden;
}

img {
    max-width: 100%;
}

/* pc画面では見えなくなる要素 */
.sp-none {
    display: none;
}

/* sp画面では見えなくなる要素 */
@media screen and (min-width: 1220px) {
    .sp-none {
        display: block;
    }

    .pc-none {
        display: none;
    }
}

/* スクロールバーを非表示にする */
.scrollbar-none::-webkit-scrollbar {
    /*IE(Internet Explorer)・Microsoft Edgeへの対応*/
    -ms-overflow-style: none;
    /*Firefoxへの対応*/
    scrollbar-width: none;
    /*Google Chrome、Safariへの対応*/
    display: none;
}


/* ==================== */
/* header */
/* ==================== */

header {
    /* 追従 */
    position: fixed;

    /* サイズ指定 */
    width: 95%;
    min-height: 70px;

    /* 位置指定-中央揃え */
    top: 16px;
    left: 50%;
    transform: translateX(-50%);

    /* どの要素よりも上に表示されるように */
    z-index: 1000;

    background-color: var(--base-white);
    border-radius: 20px;
    box-shadow: var(--card-shadow);

    display: flex;
    align-items: center;

    color: var(--text-green);
}

header .inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0 16px;
}

/* ロゴマークのサイズ!!! */

/* ハンバーガーボタン */
.menu-btn {
    width: 48px;
    height: 48px;
    z-index: 2;
}

/* ハンバーガーの線 */
.menu-btn span {
    display: block;

    background: var(--base-white);
    height: 1.5px;
    width: 20px;
}

/* ふよふよ回転用class */
.rotate {
    width: 100%;
    height: 100%;
    animation: rotate-anime 15s linear infinite;
}

@keyframes rotate-anime {

    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(-360deg);
    }
}

/* ハンバーガーの丸 */
.round {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #a5dff1;
    /* #b2d4f2 */

    /* span3本線を丸の真ん中へ */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    /* 3本線の間隔 */
    gap: 6px;

    animation: round-anime 10s linear infinite;
}

/* ふよふよ変形用class */

@keyframes round-anime {
    0% {
        border-radius: 32% 68% 58% 42% / 28% 42% 58% 72%;
    }

    50% {
        border-radius: 68% 32% 34% 66% / 52% 68% 32% 48%;
    }

    100% {
        border-radius: 32% 68% 58% 42% / 28% 42% 58% 72%;
    }
}

/*----------------------------
* メニュー画面
*----------------------------*/
.menu {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1;
    width: 95vw;
    height: 95vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-image: linear-gradient(90deg, var(--base-deepgreen), #d7f65c);
    border-radius: var(--radius);
}

.menu__item {
    width: 100%;
    height: auto;
    font-size: 3rem;
    padding: 1em 1em;
    text-align: center;
    color: var(--text-white);
    text-shadow: var(--card-shadow);
    box-sizing: border-box;
}

/* アニメーション前のメニューの状態 */
.menu {
    transform: translateX(100vw);
    transition: all 0.5s ease-in-out;
}

/* アニメーション後のメニューの状態 */
.menu.is-active {
    transform: translateX(0);
}

/* ---------- */
/* pc */
@media screen and (min-width: 1220px) {
    header .inner {
        height: 70px;
        padding: 0 40px;
    }

    .logo {
        font-size: 2rem;
    }

    .h-nav ul {
        display: flex;
        gap: 40px;
    }
}

/* pcはナビゲーション横並びクラスいるよ！！！ */


/* ==================== */
/* footer */
/* ==================== */

footer {
    background-color: var(--base-blue);

    height: 20vh;

    position: relative;
}

footer .logo {
    width: 20vh;
}

small {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    color: var(--base-white);
    font-size: 1.2rem;
}

/* =========================================== */
/* TOPに戻るボタン */
/* ======================================== */

.scrollTop {
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 50px;

    height: 50px;
    background-color: var(--base-white);
    color: var(--base-deepgreen);
    font-size: 24px;
    text-align: center;
    line-height: 50px;
    border-radius: 50%;
    cursor: pointer;

    box-shadow: var(--card-shadow);

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s;

    z-index: 1000;
}

.scrollTop.show {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transition: 0.5s;
}